#!/usr/bin/env python

# NOTE: Path manipulation requires manual customisation.

import sys
sys.path.append("/home/paulb/Software/Python/WebStack")
sys.path.append("/home/paulb/Software/Python/WebStack/examples/Common")

from WebStack.Adapters import WSGI
from WebStack.Resources.LoginRedirect import LoginRedirectResource, LoginRedirectAuthenticator
from Simple import SimpleResource
from wsgi_cgi import run_with_cgi

resource = LoginRedirectResource(
    login_url="http://localhost/wsgi/login",
    app_url="http://localhost",
    resource=SimpleResource(),
    authenticator=LoginRedirectAuthenticator(secret_key="horses"),
    anonymous_parameter_name="anonymous",
    logout_parameter_name="logout"
)

# Special magic incantation.

handler = WSGI.WSGIAdapter(resource)
run_with_cgi(handler)

# vim: tabstop=4 expandtab shiftwidth=4
